Bric::Util::Trans::SFTP(3p)

NAME
Bric::Util::Trans::SFTP - SFTP Client interface for distributing resources.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2007-03-30 20:44:41 +0200 (Fri, 30 Mar 2007) $

SYNOPSIS
  use Bric::Util::Trans::SFTP

DESCRIPTION
The distribution API uses this class to distribute resources to other servers via SFTP.

INTERFACE

  Constructors
NONE.

  Destructors
NONE.

  Public Class Methods
NONE.

  Public Instance Methods
NONE.

  Public Functions

my $bool = Bric::Util::Trans::SFTP->put_res($resources, $st)
    Puts the files specified by the $resources object on the servers specified by $st.

    Throws:

    *   Unable to login to remote server.

    *   Unable to create directory on remote server.

    *   Unable to put resource on remote server.

    Side Effects: NONE.

    Notes: Uses Net::SFTP internally.

my $bool = Bric::Util::Trans::SFTP->del_res($resources, $st)
    Deletes the files specified by the $resources object from the servers specified by $st.

    Throws:

    *   Unable to login to remote server.

    *   Unable to delete resource from remote server.

    Side Effects: NONE.

    Notes: See put_res(), above.

PRIVATE

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions

local $SIG{__WARN__} = $no_warn;
    Anonymous subroutine to prevent warning messages.

    Throws: NONE.

    Notes: NONE.

my @args = $sftp_args->($server);
    Pass in a Bric::Dist::Server object to get back a list of arguments suitable for passing to "Net::SFTP->new()".

NOTES
NONE.

AUTHOR
Scott Lanning <slanning@theworld.com>

SEE ALSO
Bric, Bric::Dist::Action, Bric::Dist::Action::Mover, Bric::Util::Trans::FS, Net::SFTP, Net::SSH::Perl